[general]
#this SSS domain is intended for any scripts that need translation.
#this is an alternative method to gettext and t12s, as they are runtime translations, hence script runs slower.
#the translations in this SSS-domain, that is, this file script_strings*, are performed by /usr/sbin/fixscripts,
#which in turn is called from quicksetup/chooselocale whenever locale is changed, also by rc.update whenever a version upgrade.
#the section-ids are a full path, for example _etc_rc.d_functions4puppy4 means /etc/rc.d/functions4puppy4
# ...i originally imposed this substitution for / as i thought there might be a problem with having / in the section-id
#    however, now i think not. anyway, fixscripts will accept any substitution, ex XetcXrc.dXfunctions4puppy4
#note, the text with \n in it (in the target file), this must be double-escaped to properly translate: \\n

[_etc_rc.d_functions4puppy4]
#target file is /etc/rc.d/functions4puppy4
CODESTRING='MOUSEINTRO="INSERTMARKER"'            ; ENGLISH='Only very old PCs may have a serial mouse. These are recognised by the fairly large rectangular plug, technically known as a DB9 or the even larger DB25 (where the 9 or 25 refers to the number of pins in the plug). Press the UP and DOWN arrow keys to choose your mouse type, then press the ENTER key:'  ; TRANSLATION='Только очень старые ПК могут иметь COM-мышь. Их можно узнать по довольно большому прямоугольному разъему DB9 или даже больше DB25 (где 9 или 25 - число контактов на разъеме). Нажмите ВВЕРХ или ВНИЗ стрелки чтобы выбрать тип мыши, мотом нажмите ENTER:'
CODESTRING="MOUSEMENU1b='INSERTMARKER' #ttyS"     ; ENGLISH='(mouse in very old computers)'                 ; TRANSLATION='(мышь на очень старых компьютерах)'
CODESTRING="MOUSEMENU2b='INSERTMARKER' #ttyS"     ; ENGLISH='(mouse or touchpad in all modern computers)'   ; TRANSLATION='(мышь или тачпад на всех современных компьютерах)'
CODESTRING="MOUSEMENU1b='INSERTMARKER' #usb-ps2"  ; ENGLISH='(mouse or touchpad in all modern computers)'   ; TRANSLATION='(мышь или тачпад на всех современных компьютерах)'
CODESTRING="MOUSEMENU2b='INSERTMARKER' #usb-ps2"  ; ENGLISH='(mouse in very old computers)'                 ; TRANSLATION='(мышь на очень старых компьютерах)'
CODESTRING='INSERTMARKER" 0 0 0 "$MOUSEMENU1a" "$MOUSEMENU1b"'     ; ENGLISH='Please choose mouse type...'  ; TRANSLATION='Пожалуйста выберите тип мыши...'
CODESTRING='--menu "INSERTMARKER" 0 0 0 ttyS0'    ; ENGLISH='Serial port mouse plugged into...\\nUse UP/DOWN ARROW keys, ENTER key to finish'  ; TRANSLATION='Последовательный порт, в который вставлена мышь...\\nИспользуйте ВВЕРХ/ВНИЗ СТРЕЛКИ, ENTER для завершения'
CODESTRING='"COM1 INSERTMARKER" ttyS1'            ; ENGLISH='(most likely)'  ; TRANSLATION='(скорее всего)'

